/*
 * Copyright (c) 2011 by Intevation GmbH, Germany <info@intevation.de>
 *
 * This file is part of MXD2map.
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LICENCE.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 *
 * MXD2map has been developed on behalf of the
 * Bundesamt fuer Seeschifffahrt und Hydrographie (BSH) in Hamburg
 * by Intevation GmbH.
 *
 * Authors:
 * Raimund Renkert <raimund.renkert@intevation.de>
 * Bjoern Schilberg <bjoern.schilberg@intevation.de>
 * Stephan Holl <stephan.holl@intevation.de>
 */

package de.intevation.mxd.reader;

import java.io.IOException;

import org.w3c.dom.Document;

/**
 * The interface to the MXD-Reader.
 *
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
public interface IReader {
    /**
     * Initializes the reader component.
     */
    boolean init() throws IOException;

    /**
     * Method to perform actions at the of reader usage.
     */
    boolean shutdown() throws IOException;

    /**
     * Set the filename.
     */
    void setFilename(String name);

    /**
     * Read the content.
     */
    boolean read() throws Exception;

    /**
     * Request DOM Document containing the map data.
     */
    Document getMapDocument();
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
